Loading...
Searching...
No Matches
pqxx::byte_char_traits Struct Reference

Custom `std::char_trast` if the compiler does not provide one. More...

Inheritance diagram for pqxx::byte_char_traits:
[legend]
Collaboration diagram for pqxx::byte_char_traits:
[legend]

## Public Types

using | char_type = std::byte

## Static Public Member Functions

static void | assign (std::byte &a, const std::byte &b) noexcept
static bool | eq (std::byte a, std::byte b)
static bool | lt (std::byte a, std::byte b)
static int | compare (const std::byte *a, const std::byte *b, std::size_t size)
static size_t | length (const std::byte *data)
| Deliberately undefined: "guess" the length of an array of bytes.
static const std::byte * | find (const std::byte *data, std::size_t size, const std::byte &value)
static std::byte * | move (std::byte *dest, const std::byte *src, std::size_t size)
static std::byte * | copy (std::byte *dest, const std::byte *src, std::size_t size)
static std::byte * | assign (std::byte *dest, std::size_t size, std::byte value)
static int_type | not_eof (int_type value)
| Declared but not defined: makes no sense for binary data.
static std::byte | to_char_type (int_type value)
static int_type | to_int_type (std::byte value)
static bool | eq_int_type (int_type a, int_type b)
static int_type | eof ()
| Declared but not defined: makes no sense for binary data.

## Detailed Description

Custom `std::char_trast` if the compiler does not provide one.

Needed if the standard library lacks a generic implementation or a specialisation for std::byte. They aren't strictly required to provide either, and libc++ 19 removed its generic implementation.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/util.hxx